/*this runs our IV regressions*/

drop _all

set mat 800
set maxvar 1500 width 4000 maxobs 5000
set more 1

use mig_cps
drop if year<76

for unem mdy blck sa0 sa18 sa25 sa45 tjul tjan rain, noheader: qui gen q1@=@_1
for unem mdy blck sa0 sa18 sa25 sa45, noheader: qui gen q2@=@_1
for unem mdy blck sa0 sa18 sa25 sa45, noheader: qui gen q3@=c1_@
qui tab year, gen(yy)
qui tab cityid, gen(cc)
qui tab (regiyear), gen(ry)
drop yy1 cc1 ry1 rr1

keep cityid year d1_pop c1_crim c1_scr pc_cr_* pcscr_1 d2_spop cit_pop q1* q2* q3* rr* yy* cc* ry* pc_crim pc_scr dz1* dz2* z_ccomit z_rele insmp s_popul state year
qui regress d1_pop c1_crim c1_scr pc_cr_1 pcscr_1 q1* [aweight=cit_pop]
predict resid
drop if resid==.
drop resid
for dz1_ccom dz2_ccom dz1_rele dz2_rele, noheader: drop if @==.

gen smallcit=((cit_pop/(s_pop*1000))<.04)

corr dz* z* d1_pop c1_crim

/*****FIRST STAGE*****/
regress c1_crim dz1* dz2* q1* yy* rr* [aweight=cit_pop], cluster(state)
testparm dz1* dz2*
regress c1_crim dz1* dz2* q2* yy* cc* [aweight=cit_pop], cluster(state)
testparm dz1* dz2*

/*****REDUCED FORMS*****/
regress d1_pop dz* q1* yy* rr* [aweight=cit_pop], cluster(state)
testparm dz*
regress d1_pop dz* q2* yy* cc* [aweight=cit_pop], cluster(state)
testparm dz*


/*****2SLS*****/
***all cities***
regress d1_pop c1_crim q1* yy* rr* (dz* q1* yy* rr*) [aweight=cit_pop] 
regress d1_pop c1_crim q2* yy* cc* (dz* q2* yy* cc*) [aweight=cit_pop]

*adding lagged level of crime per capita
regress d1_pop c1_crim pc_cr_1 pc_cr_2 pc_cr_3 q1* yy* rr* (dz* pc_cr_1 pc_cr_2 pc_cr_3 q1* yy* rr*) [aweight=cit_pop] 
regress d1_pop c1_crim pc_cr_1 pc_cr_2 pc_cr_3 q2* yy* cc* (dz* pc_cr_1 pc_cr_2 pc_cr_3 q2* yy* cc*) [aweight=cit_pop]

*adding suburban crime
regress d1_pop c1_crim c1_scr q1* yy* rr* (dz* c1_scr q1* yy* rr*) [aweight=cit_pop] 
regress d1_pop c1_crim c1_scr q2* yy* cc* (dz* c1_scr q2* yy* cc*) [aweight=cit_pop]

*adding change in state population
regress d1_pop c1_crim d2_spop q1* yy* rr* (dz* d2_spop q1* yy* rr*) [aweight=cit_pop] 
regress d1_pop c1_crim d2_spop q2* yy* cc* (dz* d2_spop q2* yy* cc*) [aweight=cit_pop]

*adding covariates in levels and changes
regress d1_pop c1_crim q1* q3* yy* rr* (dz* q1* q3* yy* rr*) [aweight=cit_pop] 
regress d1_pop c1_crim q2* q3* yy* cc* (dz* q2* q3* yy* cc*) [aweight=cit_pop]

